package pdf

import "errors"

var (
	ErrInvalidPDFMagicNumber           = errors.New("invalid PDF magic number")
	ErrUnexpectedEOF                   = errors.New("unexpected EOF")
	ErrNoRuneToUnread                  = errors.New("no rune to unread")
	ErrInvalidByteOffset               = errors.New("invalid byte offset")
	ErrorTokenNil                      = errors.New("token is nil")
	ErrTokenAlreadyEmitted             = errors.New("token already emitted")
	ErrEndOfLineExpected               = errors.New("end of line expected")
	ErrExpectedEndOfLine               = errors.New("expected the end of line")
	ErrExpectedDictionary              = errors.New("expected dictionary")
	ErrUnknownValueType                = errors.New("unknown value type")
	ErrInvalidNumber                   = errors.New("invalid number")
	ErrInvalidBoolean                  = errors.New("invalid boolean")
	ErrInvalidParenthesesCount         = errors.New("invalid parentheses count")
	ErrInvalidName                     = errors.New("invalid name")
	ErrInvalidHexDigit                 = errors.New("invalid hex digit")
	errArrayObjectMustStartWithBracket = errors.New("array object must start with a bracket")
	errArrayObjectMustEndWithBracket   = errors.New("array object must end with a bracket")
	ErrInvalidNull                     = errors.New("invalid null")
)
