package pdf

import (
	"os"
	"testing"
)

func TestNewParser(t *testing.T) {
	p := NewParser(nil)
	if p == nil {
		t.Errorf("Expected NewParser to return a non-nil value")
	}
}

func TestParser_Parse(t *testing.T) {

	file, err := os.Open("assets/Simple-PDF-2.0-file.pdf")
	if err != nil {
		t.Errorf("Expected to open the file, got %v", err)
		os.Exit(1)
	}

	p := NewParser(file)
	p.Parse()

	if p.HasError() {
		for _, e := range p.GetErrors() {
			t.Errorf("Expected no errors, got %v", e)
		}
	}

}
