package pdf

type beforeDictionaryValueState struct {
}

func (s beforeDictionaryValueState) process(t *Tokenizer) {

	var c rune
	var err error

	for {

		c, err = t.consumeNextRune()

		if err != nil {
			t.raiseError(err)
			return
		}

		if isEndOfFile(c) {
			t.raiseError(ErrUnexpectedEOF)
			return
		}

		if isEndOfLine(c) {
			continue
		}

		if !isWhitespace(c) {
			break
		}
	}

	if isLessThanSign(c) {
		t.switchState(startValueState{
			//token: &dictionaryValueToken{},
		})
	}

	return
}
