package pdf

type beforeKeyState struct {
	token *dictionaryToken
}

func (s beforeKeyState) process(t *Tokenizer) {

	var c rune
	var err error

	for {

		c, err = t.consumeNextRune()

		if err != nil {
			t.raiseError(err)
			return
		}

		if isEndOfFile(c) {
			t.raiseError(ErrUnexpectedEOF)
			return
		}

		if isEndOfLine(c) {
			continue
		}

		if !isWhitespace(c) {
			break
		}
	}

	if isSolidus(c) {
		t.switchState(dictionaryKeyState{
			token: s.token,
		})
	}

	return
}
