package pdf

type keywordToken struct {
	tokenInternal
}

type dictionaryKeyState struct {
	token *dictionaryToken
}

func (s dictionaryKeyState) process(t *Tokenizer) {

	var c rune
	var err error

	var key string

	for {

		c, err = t.consumeNextRune()

		if err != nil {
			t.raiseError(err)
			return
		}

		if isEndOfFile(c) {
			t.raiseError(ErrUnexpectedEOF)
			return
		}

		if isEndOfLine(c) {
			t.raiseError(ErrExpectedDictionary)
			return
		}

		if isWhitespace(c) {

			t.switchState(beforeDictionaryValueState{})
			return
		}

		key += string(c)

	}
}
