package pdf

type booleanToken struct {
	tokenInternal
	value string
}

type readBooleanObjectState struct {
	token *booleanToken
}

func (s readBooleanObjectState) process(t *Tokenizer) {

	var c rune
	var err error
	var value string

	for {

		c, err = t.consumeNextRune()
		if err != nil {
			t.raiseError(err)
			return
		}

		if isEndOfFile(c) {
			t.raiseError(ErrUnexpectedEOF)
			return
		}

		if c != 'f' && c != 'a' && c != 'l' && c != 's' && c != 'e' && c != 't' && c != 'r' && c != 'u' {
			break
		}

		value += string(c)
	}

	if value != "true" && value != "false" {
		t.raiseError(ErrInvalidBoolean)
		return
	}

	s.token.value = value
	t.emitToken(s.token)

	return
}
