package pdf

//
//type arrayToken struct {
//	tokenInternal
//}

type arrayStartToken struct {
	tokenInternal
}

type startArrayObjectState struct {
	token *arrayStartToken
}

func (s startArrayObjectState) process(t *Tokenizer) {
	var c rune
	var err error

	c, err = t.consumeNextRune()
	if err != nil {
		t.raiseError(err)
		return
	}

	if !isLeftSquareBracket(c) {
		t.raiseError(errArrayObjectMustStartWithBracket)
		return
	}

	t.emitToken(s.token)

	//s.token = &arrayToken{}
	//
	for {
		c, err = t.peekNextRune()
		if err != nil {
			t.raiseError(err)
			return
		}

		if isRightSquareBracket(c) {
			t.switchState(endArrayObjectState{
				token: &endArrayObjectToken{},
			})
			return
		}

		// Handle whitespace and delimiters
		if isWhitespace(c) {
			c, err = t.consumeNextRune() // consume the ']' that ends the array
			if err != nil {
				t.raiseError(err)
				return
			}
			continue
		}

		t.switchState(startValueState{})

	}

}
