package pdf

import (
	"io"
	"testing"
)

func TestStartArrayObjectStateProcess(t *testing.T) {

	tests := []struct {
		name          string
		input         string
		expectedState state
		expectedError error
		expectTokens  []tokenInterface
	}{
		{"empty", "", startArrayObjectState{}, io.EOF, []tokenInterface{}},
		{"example 1 from 7.3.6", "[549 3.14 false (Ralph) /SomeName]", startArrayObjectState{}, io.EOF, []tokenInterface{}},
	}

	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			tok := createTestTokenizerWithData(tt.input)
			tok.state = startArrayObjectState{
				token: &arrayStartToken{},
			}

			// Verarbeite den Tokenizer
			tok.state.process(tok)

			checkStateAgainstDef(t, tok, tt.expectedState)
			checkErrors(t, tok, tt.expectedError)
			checkTokenStack(t, tok, tt.expectTokens)

			//if len(tt.expectTokens) > 0 {
			//	st := tok.state.(startArrayObjectState)
			//	//if st.token.value != tt.expectedValue {
			//	//	t.Errorf("expected value %s, got %s", tt.expectedValue, st.token.value)
			//	//}
			//}

		})
	}
}
