package pdf

type startDictionaryState struct {
	token *dictionaryToken
}

func (s startDictionaryState) process(t *Tokenizer) {

	c, err := t.consumeNextRune()

	if err != nil {
		t.raiseError(err)
		return
	}

	if isEndOfFile(c) {
		t.raiseError(ErrUnexpectedEOF)
		return
	}

	if isEndOfLine(c) {
		t.raiseError(ErrExpectedDictionary)
		return
	}

	if !isLessThanSign(c) {
		t.raiseError(ErrExpectedDictionary)
		return
	}

	t.switchState(dictionaryState{
		token: s.token,
	})

}
