package pdf

type trailerToken struct {
	tokenInternal
}

type trailerStartState struct {
	token *trailerToken
}

func (s trailerStartState) process(t *Tokenizer) {

	c, err := t.consumeNextRune()
	if err != nil {
		t.raiseError(err)
		return
	}

	if isEndOfFile(c) {
		t.raiseError(ErrUnexpectedEOF)
		return
	}

	if !isEndOfLine(c) {
		t.raiseError(ErrExpectedEndOfLine)
		return
	}

	for {

		c, err := t.consumeNextRune()
		if err != nil {
			t.raiseError(err)
			return
		}

		if isEndOfFile(c) {
			t.raiseError(ErrUnexpectedEOF)
			return
		}

		if isEndOfLine(c) {
			continue
		}

		switch {
		case isLessThanSign(c):
			t.switchState(startDictionaryState{
				token: &dictionaryToken{},
			})
		}

		//if startDict == keywordStartDictionary {
		//	return
		//}

	}

}
