package pdf

type xrefToken struct {
	tokenInternal
	byteOffsetXRef int64
}

type xrefState struct {
	token *xrefToken
}

func (s xrefState) process(t *Tokenizer) {

	for {
		c, err := t.consumeNextRune()
		if err != nil {
			t.raiseError(err)
			return
		}

		if isEndOfFile(c) {
			t.raiseError(ErrUnexpectedEOF)
			return
		}

		if isEndOfLine(c) {
			t.switchState(endOfLineState{
				token: &endOfLineToken{},
			})

			t.switchState(byteOffsetOfLastCrossReferenceSectionState{
				token: s.token,
			})

			return
		}

		t.raiseError(ErrEndOfLineExpected)
		return

	}
}
